List overall values

Retrieves overall values for a specified metric, providing summary statistics that help you understand the performance of your content. The response includes key metrics such as totalWatchTime, uniqueViews, totalPlayTime and totalViews.

How it works

  1. Before using this endpoint, you can call the list dimensions endpoint to retrieve all available dimensions that can be used in your query.

  2. Send a GET request to this endpoint with the required metricId and other query parameters.

  3. You receive a response containing the overall values for the specified metric, which may vary based on the applied filters.

Key fields in response

  • value: The specific metric value calculated based on the applied filters.
  • totalWatchTime: Total time watched across all views, represented in milliseconds.
  • uniqueViews: The count of unique viewers who interacted with the content.
  • totalViews: The total number of views recorded.
  • totalPlayTime: Total time spent playing the video, represented in milliseconds.
  • globalValue: A global metric value that reflects the overall performance of the specified metric across the entire dataset for the given timespan. This value is not affected by specific filters.

Related guide: Understand data definitions

Path Params
string
enum
required

Pass metric Id

Query Params
string
Defaults to avg

The measurement for the given metrics. Possible Values : [95th, median, avg, count or sum]

string
enum

This parameter specifies the time span between which the video views list must be retrieved by. You can provide either from and to unix epoch timestamps or time duration. The scope of duration is between 60 minutes to 30 days.

Accepted formats are:

array of epoch timestamps for example timespan[]=1498867200&timespan[]=1498953600

duration string for example
timespan[]=24:hours or timespan[]=7:days

Allowed:
string

Pass the dimensions and their corresponding values you want to filter the views by. For excluding the values in the filter we can pass "!" before the filter value. The list of filters can be obtained from list of dimensions endpoint. Example Values : [ browser_name:Chrome , os_name:macOS , !device_name:Galaxy ]

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json